# -*- rpm-spec -*-
# $Id: kernel-feat-saa7134.spec,v 1.2 2003/09/12 15:57:38 vsu Exp $
#
%define  addon_name kernel-feat-saa7134

Name: %addon_name
Version: 0.2.8
Release: alt2

Summary: %addon_name kernel addon - saa7134 tuner drivers
License: Distributable
Group: Development/Other
Url: http://www.bytesex.org/
Packager: Kernel Maintainers Team <kernel@packages.altlinux.org>


Source0: saa7134-%version.tar.gz
Source1: %{addon_name}.sh
Source2: %{addon_name}-Makefile
Source3: %{addon_name}-Config.in

Patch1: saa7134-0.2.8-i2c-2.8.0.patch
Patch2: saa7134-0.2.8-alt-bttv-common.patch

BuildArch: noarch
BuildPreReq: kernel-build-tools

%description
These are the drivers for saa7134 video tuner.

%prep
%setup -n saa7134-%{version}
%patch1 -p1
%patch2 -p1

# These files are shared with bttv
rm -f audiochip.h i2c-compat.h id.h tda9887.c tuner.{c,h} tvaudio.{c,h}

%install

%__mkdir_p %{patches_dir}/%{addon_name}/Config.in.d
%__mkdir_p %{patches_dir}/%{addon_name}/Makefile.d
%__mkdir_p %{patches_dir}/apply/
%__mkdir_p %{patches_dir}/%{addon_name}/saa7134
%__cp -a * %{patches_dir}/%{addon_name}/saa7134
%__install -m 755 %SOURCE1 %{patches_dir}/apply/%{addon_name}
%__install -m 755 %SOURCE2 %{patches_dir}/%{addon_name}/Makefile.d
%__install -m 755 %SOURCE3 %{patches_dir}/%{addon_name}/Config.in.d

%files
%_usrsrc/*

%changelog
* Fri Sep 12 2003 Sergey Vlasov <vsu@altlinux.ru> 0.2.8-alt2
- removed files common with bttv to avoid duplicate modules.
- added patch to use these common files from bttv.

* Fri Aug 15 2003 Peter Novodvorsky <nidd@altlinux.com> 0.2.8-alt1
- initial release.

